Package ghidra.trace.database

# Class DBTraceUtils.OffsetThenSnapDBFieldCodec<OT extends DBAnnotatedObject>

java.lang.Object
ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec<DBTraceUtils.OffsetSnap,OT,BinaryField>
ghidra.trace.database.DBTraceUtils.AbstractOffsetSnapDBFieldCodec<OT>
ghidra.trace.database.DBTraceUtils.OffsetThenSnapDBFieldCodec<OT>

Type Parameters:
  `OT` - the type of the object whose field is encoded/decoded.

All Implemented Interfaces:
  `DBCachedObjectStoreFactory.DBFieldCodec<DBTraceUtils.OffsetSnap,OT,BinaryField>`

Enclosing class:
  `DBTraceUtils`

public static class DBTraceUtils.OffsetThenSnapDBFieldCodec<OT extends DBAnnotatedObject> extends DBTraceUtils.AbstractOffsetSnapDBFieldCodec<OT>
Codec for storing `DBTraceUtils.OffsetSnap`s as `BinaryField`s.

Encodes the address space ID followed by the address then the snap.

- ## Field Summary

  ### Fields inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `column, field, fieldType, objectType, valueType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OffsetThenSnapDBFieldCodec(Class<OT> objectType, Field field, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DBTraceUtils.OffsetSnap`
  `decode(byte[] arr)`
  `protected byte[]`
  `encode(DBTraceUtils.OffsetSnap value)`

  ### Methods inherited from class ghidra.trace.database.DBTraceUtils.AbstractOffsetSnapDBFieldCodec

  `doLoad, doStore, store`

  ### Methods inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `getFieldType, getObjectType, getValue, getValueType, load, setValue, store`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.database.DBCachedObjectStoreFactory.DBFieldCodec

  `encodeField`

- ## Constructor Details

  - ### OffsetThenSnapDBFieldCodec

    public OffsetThenSnapDBFieldCodec(Class<OT> objectType, Field field, int column)

- ## Method Details

  - ### encode

    protected byte[] encode(DBTraceUtils.OffsetSnap value)
    Specified by:
      `encode` in class `DBTraceUtils.AbstractOffsetSnapDBFieldCodec<OT extends DBAnnotatedObject>`

  - ### decode

    protected DBTraceUtils.OffsetSnap decode(byte[] arr)
    Specified by:
      `decode` in class `DBTraceUtils.AbstractOffsetSnapDBFieldCodec<OT extends DBAnnotatedObject>`